{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'authentication/style.css' %}" />
{% endblock meta %}
{% block content %}
    <div class = "d-flex flex-column justify-content-center align-items-center padding-4">
        <p class = "montserrat-bold large-font margin-top-2">Log In</p>
        <form class = "full-size" action="" method="POST">
            {% csrf_token %}
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size montserrat-medium medium-font margin-1">
                    <p class = "margin-top-2">Username</p>
                    <input class = "full-size" type="text" name="username">
                </div>
            </div>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size montserrat-medium medium-font margin-1">
                    <p class = "margin-top-2">Password</p>
                    <input class = "full-size" type="password" name="password">
                </div>
            </div>
            <button type="submit" value = "Submit" class="margin-top-2 btn btn-dark montserrat-semibold">Log In</button>
        </form>
        <div class = "full-size d-flex justify-content-center align-items-center">
            <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
                {% for message in messages %}
                    <p>{{ message }}</p>
                {% endfor %}
            </div>
        </div>
        <div class = "full-size d-flex justify-content-center align-items-center">
            <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
                <p>Belum memiliki akun?</p>
                <a href="{% url 'authentication:authentication-signup' %}">Sign Up</a>
            </div>
        </div>
    </div>
{% endblock content %}